Skip to content

index

Request

Security
ApiKeyAuth
Query
filter[fulltext]string
Example:filter[fulltext]=nothing
filter[hasInterfaces]string
Example:filter[hasInterfaces]=form,chat
filter[has_form_interfaces]string
Example:filter[has_form_interfaces]=false
filter[is_managed]string
Example:filter[is_managed]=false
filter[manage_type]string
Example:filter[manage_type]=PARENT_SEGMENT,PACKAGE
includestring
Example:include=formInterfaces,chatInterfaces
sortstring
Example:sort=id
curl -i -X GET \
  'https://llm-api.treasuredata.com/api/projects?filter%5Bfulltext%5D=nothing&filter%5BhasInterfaces%5D=form%2Cchat&filter%5Bhas_form_interfaces%5D=false&filter%5Bis_managed%5D=false&filter%5Bmanage_type%5D=PARENT_SEGMENT%2CPACKAGE&include=formInterfaces%2CchatInterfaces&sort=id' \
  -H 'Authorization: TD1 <YOUR_TOKEN_HERE>'

Responses

allows GET /api/projects

Bodyapplication/vnd.api+json
dataArray of objectsrequired
metaobjectrequired
includedArray of objects
Response
{ "data": [ {} ], "meta": { "total": 1 }, "links": { "first": "http://www.example.com/api/projects?page%5Blimit%5D=20&page%5Boffset%5D=0", "last": "http://www.example.com/api/projects?page%5Blimit%5D=20&page%5Boffset%5D=0" }, "included": [ {}, {}, {}, {} ] }